#include <GL/gl.h>
#include <GL/glut.h>
#include "floor.h"

static GLfloat floorVertices[4][3] = {
  {-100.0, 0.0, 100.0}, {100.0, 0.0, 100.0}, 
  {100.0, 0.0, -100.0}, {-100.0, 0.0, -100.0}
};

void drawFloor(void) {
  glBegin(GL_QUADS);
  glNormal3f(0.0, 1.0, 0.0);
  glVertex3fv(floorVertices[0]);
  glVertex3fv(floorVertices[1]);
  glVertex3fv(floorVertices[2]);
  glVertex3fv(floorVertices[3]);
  glEnd();
}

static GLfloat wallVertices[16][3] = {
  {-100.0, 0.0, 100.0}, {-100.0, 20.0, 100.0}, 
  {100.0, 20.0, 100.0}, {100.0, 0.0, 100.0},

  {100.0, 0.0, 100.0}, {100.0, 20.0, 100.0}, 
  {100.0, 20.0, -100.0}, {100.0, 0.0, -100.0},

  {100.0, 0.0, -100.0}, {100.0, 20.0, -100.0}, 
  {-100.0, 20.0, -100.0}, {-100.0, 0.0, -100.0},

  {-100.0, 0.0, -100.0}, {-100.0, 20.0, -100.0}, 
  {-100.0, 20.0, 100.0}, {-100.0, 0.0, 100.0}
};

void drawWall(void) {
  glBegin(GL_QUADS);
  glNormal3f(0.0, 0.0, -1.0);
  glVertex3fv(wallVertices[0]);
  glVertex3fv(wallVertices[1]);
  glVertex3fv(wallVertices[2]);
  glVertex3fv(wallVertices[3]);
  glEnd();

  glBegin(GL_QUADS);
  glNormal3f(-1.0, 0.0, 0.0);
  glVertex3fv(wallVertices[4]);
  glVertex3fv(wallVertices[5]);
  glVertex3fv(wallVertices[6]);
  glVertex3fv(wallVertices[7]);
  glEnd();

  glBegin(GL_QUADS);
  glNormal3f(0.0, 0.0, 1.0);
  glVertex3fv(wallVertices[8]);
  glVertex3fv(wallVertices[9]);
  glVertex3fv(wallVertices[10]);
  glVertex3fv(wallVertices[11]);
  glEnd();

  glBegin(GL_QUADS);
  glNormal3f(1.0, 0.0, 0.0);
  glVertex3fv(wallVertices[12]);
  glVertex3fv(wallVertices[13]);
  glVertex3fv(wallVertices[14]);
  glVertex3fv(wallVertices[15]);
  glEnd();
}
